
(** $OperatingSystem is Windows95 **)
(** file created {1998, 6, 4, 14, 19, 6} **)


Test[(* 1 *)
<< "seriessolve\seriessolve.m"
,
Null
]


Test[(* 2*)
<<"seriessolve\sampeqs.m"
,
Null
]


Test[(* 3 *)
SeriesSolve[Eq[1], x, t, SpeedSimp -> garbage]
,
Applications`SeriesSolve`Private`maclaurin$6
,
{SeriesSolve::speedsimpwrong}
]

Test[(* 4 *)
SeriesSolve[Eq[1], x, t, Order -> 1.5]
,
Applications`SeriesSolve`Private`maclaurin$8
,
{SeriesSolve::orderwrong}
]

Test[(* 5 *)
SeriesSolve[Eq[1], x, t, Order -> -1]
,
Applications`SeriesSolve`Private`maclaurin$10
,
{SeriesSolve::ordernonnegative}
]

Test[(* 6 *)
SeriesSolve[Eq[1], x, t, Root -> 1.5]
,
Applications`SeriesSolve`Private`maclaurin$12
,
{SeriesSolve::multiplerootwrong}
]

Test[(* 7 *)
SeriesSolve[Eq[1], x, t, Root -> 0]
,
Applications`SeriesSolve`Private`maclaurin$14
,
{SeriesSolve::multiplerootzero}
]

Test[(* 8 *)
SeriesSolve[Eq[1], x, t, Root -> -1]
,
Applications`SeriesSolve`Private`maclaurin$16
,
{SeriesSolve::multiplerootnonnegative}
]

Test[(* 9 *)
SeriesSolve[Eq1[1][[1]], x, t]
,
Applications`SeriesSolve`Private`maclaurin$18
,
{SeriesSolve::notwellformed}
]

Test[(* 10 *)
SeriesSolve[Eq[1], x, v]
,
Applications`SeriesSolve`Private`maclaurin$20
,
{SeriesSolve::nosmallparam}
]

Test[(* 11 *)
SeriesSolve[Eq[1], y, t]
,
Applications`SeriesSolve`Private`maclaurin$22
,
{SeriesSolve::novars}
]

Test[(* 12 *)
SeriesSolve[Eq[1], {x, y}, t]
,
Applications`SeriesSolve`Private`maclaurin$24
,
{SeriesSolve::novars}
]

Test[(* 13 *)
SeriesSolve[{Eq[1], Eq[2]}, x, t]
,
Applications`SeriesSolve`Private`maclaurin$26
,
{SeriesSolve::unequal}
]

Test[(* 14 *)
SeriesSolve[Eq[1], x, t, Root -> 100]
,
Applications`SeriesSolve`Private`maclaurin$28
,
{SeriesSolve::insufficientroots}
]

Test[(* 15 *)
SeriesSolve[Eq1[1][[1]]*t == 0, x, t]
,
Applications`SeriesSolve`Private`maclaurin$30
,
{SeriesSolve::novars}
]

Test[(* 16 *)
Eqnosol = Eq[2][[1]] + Sin[x] == 0
,
-E^(a*t*x) + x + Sin[x] == 0
]

ExactTest[(* 17 *)
SeriesSol[Eqnosol, x, t]
,
SeriesSol[Equal[Plus[Times[-1, Power[E, Times[a, t, x]]], x, Sin[x]], 0], x, 
 t]
]

Test[(* 18 *)
SeriesSolve[Eqnosol, x, t]
,
Applications`SeriesSolve`Private`maclaurin$34
,
{SeriesSolve::nomacsols}
]

NTest[(* 19 *)
Eq[17a] = Eq[17] /. c0 -> 1./10^25
,
x^2 + t^2*x*y + z^2 + 9.999999999999998*^-26*E^(x*y)*t^2*Sin[w] == 0
]

Test[(* 20 *)
SeriesSolve[{Eq[17a], Eq[18], Eq[19], Eq[20]}, {w, x, y, z}, t, Root -> 3, Order -> 4]
,
Applications`SeriesSolve`Private`maclaurin$40
,
{SeriesSolve::nomacsoldelta}
]

Test[(* 21 *)
SeriesSolve[Eq[5], dD, tT3]
,
Applications`SeriesSolve`Private`maclaurin$62
,
{SeriesSolve::backsubfail}
]


ReportFailures[]
