
(** $OperatingSystem is Windows95 **)
(** file created {1998, 6, 4, 12, 31, 27} **)


Test[(* 1 *)
<< "seriessolve\seriessolve.m"
,
Null
]



Test[(* 2 *)
<< "seriessolve\sampeqs.m"
,
Null
]




Test[(* 3 *)
SeriesSolve[Eq[1], x, t]
,
{x -> SeriesData[t, 0, {-I*Sqrt[c0], -1/2, I/8/Sqrt[c0]}, 0, 3, 1]}
]

Test[(* 4 *)
SeriesSolve[Eq[1], x, t, Order -> 5]
,
{x -> SeriesData[t, 0, {-I*Sqrt[c0], -1/2, I/8/Sqrt[c0], 0, I/128/c0^(3/2)}, 
    0, 6, 1]}
]




Test[(* 5 *)
SeriesSolve[Eq[1], x, t, Root -> 2]
,
{x -> SeriesData[t, 0, {I*Sqrt[c0], -1/2, -I/8/Sqrt[c0]}, 0, 3, 1]}
]

Test[(* 6 *)
SeriesSolve[Eq[2], x, t, Order -> 5]
,
{x -> SeriesData[t, 0, {1, a, (3*a^2)/2, (8*a^3)/3, (125*a^4)/24, 
     (54*a^5)/5}, 0, 6, 1]}
]

Test[(* 7 *)
Table[SeriesSolve[Eq[3], x, t, Root -> n], {n, 1, 2}]
,
{{x -> SeriesData[t, 0, {-Pi/2, -Pi/2, -Pi/2}, 0, 3, 1]}, 
  {x -> SeriesData[t, 0, {Pi/2, -Pi/2, Pi/2}, 0, 3, 1]}}
]

Test[(* 8 *)
SeriesSolve[Eq[4], dD, tT3]
,
{dD -> SeriesData[tT3, 0, {-((eE*epsl*epslz)/Sqrt[1 + a*eE^2]) + pPz, 
     (2*beta2*eE*epsl^2*epslz^2)/(1 + a*eE^2)^2 - 
      (2*beta2*epsl*epslz*pPz)/(1 + a*eE^2)^(3/2), 
     (-4*beta2^2*eE*epsl^3*epslz^3)/(1 + a*eE^2)^(7/2) + 
      (6*a*beta2^2*eE^3*epsl^3*epslz^3)/(1 + a*eE^2)^(7/2) + 
      (4*beta2^2*epsl^2*epslz^2*pPz)/(1 + a*eE^2)^3 - 
      (12*a*beta2^2*eE^2*epsl^2*epslz^2*pPz)/(1 + a*eE^2)^3 + 
      (6*a*beta2^2*eE*epsl*epslz*pPz^2)/(1 + a*eE^2)^(7/2) + 
      (6*a^2*beta2^2*eE^3*epsl*epslz*pPz^2)/(1 + a*eE^2)^(7/2)}, 0, 3, 1]}
]

Test[(* 9 *)
SeriesSolve[Eq[4], dD, tT3, Root -> 2, SpeedSimp -> False]
,
{dD -> SeriesData[tT3, 0, {(eE*epsl*epslz)/Sqrt[1 + a*eE^2] + pPz, 
     2*beta2*epsl*epslz*((eE*epsl*epslz)/(1 + a*eE^2)^2 + 
        pPz/(1 + a*eE^2)^(3/2)), 
     (-2*beta2^2*epsl*epslz*(-2*Sqrt[1 + a*eE^2]*epsl*epslz*pPz + 
          6*a*eE^2*Sqrt[1 + a*eE^2]*epsl*epslz*pPz + 
          3*a*eE^3*(epsl^2*epslz^2 + a*pPz^2) + 
          eE*(-2*epsl^2*epslz^2 + 3*a*pPz^2)))/(1 + a*eE^2)^(7/2)}, 0, 3, 1]}
]

Test[(* 10 *)
SeriesSolve[Eq[5], dD, tT3, Root -> 2, SpeedSimp -> False]
,
{dD -> SeriesData[tT3, 0, {(eE*epsl*epslz)/Sqrt[1 + a*eE^2] + pPz, 
     2*beta2*epsl*epslz*((eE*epsl*epslz)/(1 + a*eE^2)^2 + 
        pPz/(1 + a*eE^2)^(3/2)), 
     (-2*beta2^2*epsl*epslz*(-2*Sqrt[1 + a*eE^2]*epsl*epslz*pPz + 
          6*a*eE^2*Sqrt[1 + a*eE^2]*epsl*epslz*pPz + 
          3*a*eE^3*(epsl^2*epslz^2 + a*pPz^2) + 
          eE*(-2*epsl^2*epslz^2 + 3*a*pPz^2)))/(1 + a*eE^2)^(7/2)}, 0, 3, 1]}
]

Test[(* 11 *)
Table[SeriesSolve[{Eq[6], Eq[7]}, {x, y}, t, SpeedSimp -> False, Root -> n], {n, 1, 2}]
,
{{x -> SeriesData[t, 0, {(c0*Csc[c0/c1])/c1, 
      (c0^2*Csc[c0/c1]^3*(c0*Cos[c0/c1] - c1*Sin[c0/c1]))/c1^4}, 1, 3, 1], 
   y -> SeriesData[t, 0, {-(c0/c1), (c0^2*Csc[c0/c1])/c1^3, 
      (c0^3*Csc[c0/c1]^3*(c0*Cos[c0/c1] - 2*c1*Sin[c0/c1]))/c1^6}, 0, 3, 1]}, 
  {x -> SeriesData[t, 0, {-((c0 + c1*Pi)/Pi), c0/(c0 + c1*Pi), 
      (c0^2*Pi)/(c0 + c1*Pi)^3}, 0, 3, 1], 
   y -> SeriesData[t, 0, {Pi, Pi^2/(c0 + c1*Pi), 
      (Pi^3*(2*c0 + c1*Pi))/(c0 + c1*Pi)^3}, 0, 3, 1]}}
]

Test[(* 12 *)
SeriesSolve[{Eq[8], Eq[9]}, {x, y}, t]
,
{x -> SeriesData[t, 0, {I*Sqrt[c0]}, 1, 3, 1], 
  y -> SeriesData[t, 0, {-I*Sqrt[c0]}, 1, 3, 1]}
]

Test[(* 13 *)
SeriesSolve[{Eq[10], Eq[11], Eq[12]}, {x, y, z}, t]
,
{x -> SeriesData[t, 0, {(I*Sqrt[c0])/Sqrt[5], (8*c0)/25}, 1, 3, 1], 
  y -> SeriesData[t, 0, {(-I*Sqrt[c0])/Sqrt[5], (12*c0)/25}, 1, 3, 1], 
  z -> SeriesData[t, 0, {(2*I*Sqrt[c0])/Sqrt[5], (-4*c0)/25}, 1, 3, 1]}
]

Test[(* 14 *)
Table[SeriesSolve[{Eq[13], Eq[14], Eq[15], Eq[16]}, {w, x, y, z}, t, Root -> n], {n, 1, 6}]
,
{{w -> SeriesData[t, 0, {-Pi/2, 0, -Sqrt[c0]/2 - c0/2}, 0, 3, 1], 
   x -> SeriesData[t, 0, {-Sqrt[c0]/2 - c0/2}, 2, 3, 1], 
   y -> SeriesData[t, 0, {Sqrt[c0]/2 - c0/2}, 2, 3, 1], 
   z -> SeriesData[t, 0, {-Sqrt[c0]}, 1, 3, 1]}, 
  {w -> SeriesData[t, 0, {Pi/2, 0, -I/2*Sqrt[c0] - c0/2}, 0, 3, 1], 
   x -> SeriesData[t, 0, {I/2*Sqrt[c0] + c0/2}, 2, 3, 1], 
   y -> SeriesData[t, 0, {-I/2*Sqrt[c0] + c0/2}, 2, 3, 1], 
   z -> SeriesData[t, 0, {I*Sqrt[c0]}, 1, 3, 1]}, 
  {w -> SeriesData[t, 0, {-ArcCos[2], 
      BesselJ[0, -2*I]/Sqrt[3] + (I*Tanh[2])/Sqrt[3], 
      (2*I)/Sqrt[3] + (c0*E^4)/2 - Sqrt[3]*BesselJ[0, -2*I] + 
       (BesselJ[-1, -2*I]*BesselJ[0, -2*I])/(2*Sqrt[3]) - 
       (I/3*BesselJ[0, -2*I]^2)/Sqrt[3] - 
       (BesselJ[0, -2*I]*BesselJ[1, -2*I])/(2*Sqrt[3]) + 
       (2*BesselJ[0, -2*I]*Tanh[2])/(3*Sqrt[3]) + 
       (I/3*Tanh[2]^2)/Sqrt[3] + Sqrt[3]*BesselJ[0, -2*I]*Tanh[2]^2}, 0, 3, 
     1], x -> SeriesData[t, 0, 
     {2, I*BesselJ[0, -2*I], -2 + I/2*Sqrt[3]*c0*E^4 + 
       I/2*BesselJ[-1, -2*I]*BesselJ[0, -2*I] - 
       I/2*BesselJ[0, -2*I]*BesselJ[1, -2*I]}, 0, 3, 1], 
   y -> SeriesData[t, 0, {2, 3*I*BesselJ[0, -2*I], 
      -2 + I/2*Sqrt[3]*c0*E^4 + 
       (3*I)/2*BesselJ[-1, -2*I]*BesselJ[0, -2*I] - BesselJ[0, -2*I]^2 - 
       (3*I)/2*BesselJ[0, -2*I]*BesselJ[1, -2*I]}, 0, 3, 1], 
   z -> SeriesData[t, 0, {-2*I, BesselJ[0, -2*I], 
      I + (Sqrt[3]*c0*E^4)/4 + (BesselJ[-1, -2*I]*BesselJ[0, -2*I])/2 - 
       (BesselJ[0, -2*I]*BesselJ[1, -2*I])/2}, 0, 3, 1]}, 
  {w -> SeriesData[t, 0, {ArcCos[2], 
      -(BesselJ[0, -2*I]/Sqrt[3]) - (I*Tanh[2])/Sqrt[3], 
      (-2*I)/Sqrt[3] + (c0*E^4)/2 + Sqrt[3]*BesselJ[0, -2*I] - 
       (BesselJ[-1, -2*I]*BesselJ[0, -2*I])/(2*Sqrt[3]) + 
       (I/3*BesselJ[0, -2*I]^2)/Sqrt[3] + 
       (BesselJ[0, -2*I]*BesselJ[1, -2*I])/(2*Sqrt[3]) - 
       (2*BesselJ[0, -2*I]*Tanh[2])/(3*Sqrt[3]) - 
       (I/3*Tanh[2]^2)/Sqrt[3] - Sqrt[3]*BesselJ[0, -2*I]*Tanh[2]^2}, 0, 3, 
     1], x -> SeriesData[t, 0, 
     {2, I*BesselJ[0, -2*I], -2 - I/2*Sqrt[3]*c0*E^4 + 
       I/2*BesselJ[-1, -2*I]*BesselJ[0, -2*I] - 
       I/2*BesselJ[0, -2*I]*BesselJ[1, -2*I]}, 0, 3, 1], 
   y -> SeriesData[t, 0, {2, 3*I*BesselJ[0, -2*I], 
      -2 - I/2*Sqrt[3]*c0*E^4 + 
       (3*I)/2*BesselJ[-1, -2*I]*BesselJ[0, -2*I] - BesselJ[0, -2*I]^2 - 
       (3*I)/2*BesselJ[0, -2*I]*BesselJ[1, -2*I]}, 0, 3, 1], 
   z -> SeriesData[t, 0, {-2*I, BesselJ[0, -2*I], 
      I - (Sqrt[3]*c0*E^4)/4 + (BesselJ[-1, -2*I]*BesselJ[0, -2*I])/2 - 
       (BesselJ[0, -2*I]*BesselJ[1, -2*I])/2}, 0, 3, 1]}, 
  {w -> SeriesData[t, 0, {-ArcCos[2], 
      -(BesselJ[0, 2*I]/Sqrt[3]) + (I*Tanh[2])/Sqrt[3], 
      (2*I)/Sqrt[3] + (c0*E^4)/2 + Sqrt[3]*BesselJ[0, 2*I] - 
       (BesselJ[-1, 2*I]*BesselJ[0, 2*I])/(2*Sqrt[3]) - 
       (I/3*BesselJ[0, 2*I]^2)/Sqrt[3] + 
       (BesselJ[0, 2*I]*BesselJ[1, 2*I])/(2*Sqrt[3]) - 
       (2*BesselJ[0, 2*I]*Tanh[2])/(3*Sqrt[3]) + (I/3*Tanh[2]^2)/Sqrt[3] - 
       Sqrt[3]*BesselJ[0, 2*I]*Tanh[2]^2}, 0, 3, 1], 
   x -> SeriesData[t, 0, {2, -I*BesselJ[0, 2*I], 
      -2 + I/2*Sqrt[3]*c0*E^4 - I/2*BesselJ[-1, 2*I]*BesselJ[0, 2*I] + 
       I/2*BesselJ[0, 2*I]*BesselJ[1, 2*I]}, 0, 3, 1], 
   y -> SeriesData[t, 0, {2, -3*I*BesselJ[0, 2*I], 
      -2 + I/2*Sqrt[3]*c0*E^4 - (3*I)/2*BesselJ[-1, 2*I]*BesselJ[0, 2*I] - 
       BesselJ[0, 2*I]^2 + (3*I)/2*BesselJ[0, 2*I]*BesselJ[1, 2*I]}, 0, 3, 
     1], z -> SeriesData[t, 0, 
     {2*I, BesselJ[0, 2*I], -I - (Sqrt[3]*c0*E^4)/4 + 
       (BesselJ[-1, 2*I]*BesselJ[0, 2*I])/2 - 
       (BesselJ[0, 2*I]*BesselJ[1, 2*I])/2}, 0, 3, 1]}, 
  {w -> SeriesData[t, 0, {ArcCos[2], 
      BesselJ[0, 2*I]/Sqrt[3] - (I*Tanh[2])/Sqrt[3], 
      (-2*I)/Sqrt[3] + (c0*E^4)/2 - Sqrt[3]*BesselJ[0, 2*I] + 
       (BesselJ[-1, 2*I]*BesselJ[0, 2*I])/(2*Sqrt[3]) + 
       (I/3*BesselJ[0, 2*I]^2)/Sqrt[3] - 
       (BesselJ[0, 2*I]*BesselJ[1, 2*I])/(2*Sqrt[3]) + 
       (2*BesselJ[0, 2*I]*Tanh[2])/(3*Sqrt[3]) - (I/3*Tanh[2]^2)/Sqrt[3] + 
       Sqrt[3]*BesselJ[0, 2*I]*Tanh[2]^2}, 0, 3, 1], 
   x -> SeriesData[t, 0, {2, -I*BesselJ[0, 2*I], 
      -2 - I/2*Sqrt[3]*c0*E^4 - I/2*BesselJ[-1, 2*I]*BesselJ[0, 2*I] + 
       I/2*BesselJ[0, 2*I]*BesselJ[1, 2*I]}, 0, 3, 1], 
   y -> SeriesData[t, 0, {2, -3*I*BesselJ[0, 2*I], 
      -2 - I/2*Sqrt[3]*c0*E^4 - (3*I)/2*BesselJ[-1, 2*I]*BesselJ[0, 2*I] - 
       BesselJ[0, 2*I]^2 + (3*I)/2*BesselJ[0, 2*I]*BesselJ[1, 2*I]}, 0, 3, 1]\
, z -> SeriesData[t, 0, {2*I, BesselJ[0, 2*I], 
      -I + (Sqrt[3]*c0*E^4)/4 + (BesselJ[-1, 2*I]*BesselJ[0, 2*I])/2 - 
       (BesselJ[0, 2*I]*BesselJ[1, 2*I])/2}, 0, 3, 1]}}
]

Test[(* 15 *)
SeriesSolve[{Eq[17], Eq[18], Eq[19], Eq[20]}, {w, x, y, z}, t]
,
{w -> SeriesData[t, 0, {-Pi/2, Pi/4, 
     -c0/2 - Pi/4 + Pi^2/32 - Sqrt[16*c0 - Pi^2]/8}, 0, 3, 1], 
  x -> SeriesData[t, 0, {Pi/4, -c0/2 + Pi^2/32 - Sqrt[16*c0 - Pi^2]/8}, 1, 
    3, 1], y -> 
   SeriesData[t, 0, {Pi/4, -c0/2 + Pi^2/32 + Sqrt[16*c0 - Pi^2]/8}, 1, 3, 1], 
  z -> SeriesData[t, 0, {-Sqrt[16*c0 - Pi^2]/4, 
     -Pi/8 - (c0*Pi)/(2*Sqrt[16*c0 - Pi^2]) + Pi^3/(32*Sqrt[16*c0 - Pi^2])}, 
    1, 3, 1]}
]

Test[(* 16 *)
SeriesSolve[Eq[21], x, t, Order -> 5]
,
{x -> SeriesData[t, 0, {(21*Sin[1/2])/100, (441*Sin[1])/20000, 
     (-9261*Sin[1/2])/8000000 + (27783*Sin[3/2])/8000000, 
     (-64827*Sin[1])/200000000 + (64827*Sin[2])/100000000, 
     (1361367*Sin[1/2])/640000000000 - (110270727*Sin[3/2])/1280000000000 + 
      (1361367*Sin[5/2])/10240000000, 
     (28588707*Sin[1])/16000000000000 - (28588707*Sin[2])/1250000000000 + 
      (2315685267*Sin[3])/80000000000000}, 0, 6, 1]}
]

NTest[(* 17 *)
SeriesSolve[Eq[21a], x, t, Order -> 5]
,
{x -> SeriesData[t, 0, {0.1006793631068826, 0.01855443521501411, 
     0.002909180412475864, 0.0003167200452275771, -5.348922431220287*^-6, 
     -0.00001520810566020458}, 0, 6, 1]}
]

Test[(* 18 *)
Table[SeriesSolve[Eq[22], x, t, Order -> 3, Root -> n], {n, 1, 3}]
,
{{x -> SeriesData[t, 0, {-c0^(1/3), 0, 0, c1/(3*c0^(1/3)) - c2/3}, 0, 4, 1]}, 
  {x -> SeriesData[t, 0, {(-1)^(1/3)*c0^(1/3), 0, 0, 
      ((-1)^(2/3)*c1)/(3*c0^(1/3)) - c2/3}, 0, 4, 1]}, 
  {x -> SeriesData[t, 0, {-((-1)^(2/3)*c0^(1/3)), 0, 0, 
      -((-1)^(1/3)*c1)/(3*c0^(1/3)) - c2/3}, 0, 4, 1]}}
]

Test[(* 19 *)
Table[SeriesSolve[Eq[23], x, t, Order -> 4, Root -> n], {n, 1, 4}]
,
{{x -> SeriesData[t, 0, {-((-1)^(1/4)*c0^(1/4)), 0, 0, 0, 
      (I/4*c1)/Sqrt[c0] - ((-1)^(3/4)*c2)/(4*c0^(1/4)) - c3/4}, 0, 5, 1]}, 
  {x -> SeriesData[t, 0, {(-1)^(1/4)*c0^(1/4), 0, 0, 0, 
      (I/4*c1)/Sqrt[c0] + ((-1)^(3/4)*c2)/(4*c0^(1/4)) - c3/4}, 0, 5, 1]}, 
  {x -> SeriesData[t, 0, {-((-1)^(3/4)*c0^(1/4)), 0, 0, 0, 
      (-I/4*c1)/Sqrt[c0] - ((-1)^(1/4)*c2)/(4*c0^(1/4)) - c3/4}, 0, 5, 1]}, 
  {x -> SeriesData[t, 0, {(-1)^(3/4)*c0^(1/4), 0, 0, 0, 
      (-I/4*c1)/Sqrt[c0] + ((-1)^(1/4)*c2)/(4*c0^(1/4)) - c3/4}, 0, 5, 1]}}
]

Test[(* 20 *)
Table[SeriesSolve[Eq[24], x, t, Order -> 6, Root -> n], {n, 1, 6}]
,
{{x -> SeriesData[t, 0, {-I*c0^(1/6), 0, 0, 0, 0, 0, 
      -c1/(6*c0^(2/3)) + (I/6*c2)/Sqrt[c0] + c3/(6*c0^(1/3)) - 
       (I/6*c4)/c0^(1/6) - c5/6}, 0, 7, 1]}, 
  {x -> SeriesData[t, 0, {I*c0^(1/6), 0, 0, 0, 0, 0, 
      -c1/(6*c0^(2/3)) - (I/6*c2)/Sqrt[c0] + c3/(6*c0^(1/3)) + 
       (I/6*c4)/c0^(1/6) - c5/6}, 0, 7, 1]}, 
  {x -> SeriesData[t, 0, {-((-1)^(1/6)*c0^(1/6)), 0, 0, 0, 0, 0, 
      ((-1)^(1/3)*c1)/(6*c0^(2/3)) - (I/6*c2)/Sqrt[c0] + 
       ((-1)^(2/3)*c3)/(6*c0^(1/3)) - ((-1)^(5/6)*c4)/(6*c0^(1/6)) - c5/6}, 
     0, 7, 1]}, {x -> 
    SeriesData[t, 0, {(-1)^(1/6)*c0^(1/6), 0, 0, 0, 0, 0, 
      ((-1)^(1/3)*c1)/(6*c0^(2/3)) + (I/6*c2)/Sqrt[c0] + 
       ((-1)^(2/3)*c3)/(6*c0^(1/3)) + ((-1)^(5/6)*c4)/(6*c0^(1/6)) - c5/6}, 
     0, 7, 1]}, {x -> 
    SeriesData[t, 0, {-((-1)^(5/6)*c0^(1/6)), 0, 0, 0, 0, 0, 
      -((-1)^(2/3)*c1)/(6*c0^(2/3)) - (I/6*c2)/Sqrt[c0] - 
       ((-1)^(1/3)*c3)/(6*c0^(1/3)) - ((-1)^(1/6)*c4)/(6*c0^(1/6)) - c5/6}, 
     0, 7, 1]}, {x -> 
    SeriesData[t, 0, {(-1)^(5/6)*c0^(1/6), 0, 0, 0, 0, 0, 
      -((-1)^(2/3)*c1)/(6*c0^(2/3)) + (I/6*c2)/Sqrt[c0] - 
       ((-1)^(1/3)*c3)/(6*c0^(1/3)) + ((-1)^(1/6)*c4)/(6*c0^(1/6)) - c5/6}, 
     0, 7, 1]}}
]


ReportFailures[]
