
(* SAMPLE EQUATIONS FOR USE WITH MATHEMATICA PACKAGE SeriesSolve.m *)

(* NOTE: FOR AN EXAMPLE WHERE "FINDROOT" CANNOT FIND A ROOT W/O HAVING ALMOST
   THE EXACT ROOT INPUT, TRY THE SET eq13,eq14,eq1`5,eq16 FOR c0=1, t=.01 *)

(* NOTE: FOR AN EXAMPLE OF A CONVERGENT CALCULATION FOR t=1 THAT IS NOT A POLYNOMIAL,
   SEE eq21 *)



  Eq[1] := x^2 + t x + c0 ==0

  Eq[2] :=  x -  Exp[t a x] ==0

  Eq[3] := t x - Cos[x] == 0 ;

  Eq[4] := (eE + 2 beta2 tT3 dD)^2 ((epslz epsl)^2 - a (dD-pPz)^2) - (dD-pPz)^2 == 0;

  Eq[5] := eE - (dD-pPz)/Sqrt[(epslz epsl)^2 - a (dD-pPz)^2]+ 2 beta2 tT3 dD == 0;





  Eq[6] := t  y - x Sin[y] == 0
  Eq[7] :=  x y +  c1 y   + c0 == 0 

Unprotect[ArcSin]
ArcSin[0]=Pi;



  Eq[8] := x^2 + t^2 x y + t^2 c0 == 0
  Eq[9] :=  x + y == 0;   



  Eq[10] := c0 t^2 +x^2 + t^2 x y + z^2 == 0
  Eq[11] := x + y + z^2 == 0
  Eq[12] := x - y - z == 0;



  Eq[13] := x^2 + t^2 x y + z^2 + c0 t^2 Sin[w] Exp[x y] == 0
  Eq[14] := x + y + z^2 == 0
  Eq[15] :=  x - y - t z BesselJ[0,z] == 0
  Eq[16] := x- Cos[w] - t Tanh[y] == 0; 



  Eq[17] := x^2 + t^2 x y + z^2 + c0 t^2 Sin[w] Exp[x y] == 0
  Eq[18] := x + y + z^2 - t ArcCos[w x y z^2] == 0
  Eq[19] :=  x - y - t z BesselJ[0,z] == 0
  Eq[20] := x- Cos[w] - t Tanh[y] == 0; 

  Eq[21] = x-21/100 Sin[1/2 + t x] == 0;  (* BASED ON SCARBOROUGH, P.222, PROBLEM 6...
                                     AN EXAMPLE OF CONVERGENCE FOR t=1 THAT IS
                                     NOT A POLYNOMIAL...seems to converge to values of t
                                     up to at least t=3 *)


   Eq[21a] := x-.21 Sin[0.5 + t x]==0



 (* FOLLOWING ARE POLYNOMIAL CALCULATIONS...SEE samp_calcs FOR COMPARISONS
    WITH MATHEMATICA - GENERATED RESULTS *)


  Eq[22] := c0 + c1 t^3 x + c2 t^3 x^2 + x^3 == 0


  Eq[23] := c0 + c1 t^4 x + c2 t^4 x^2 + t^4 c3 x^3 + x^4 == 0


  Eq[24] := c0 + c1 t^6 x + c2 t^6 x^2 +  c3 t^6 x^3 + c4 t^6 x^4 + c5 t^6 x^5 + x^6 == 0 ;
